# VLCKit: VLCMediaLibrary Class Reference

VLCMediaLibrary Class Reference

`#import <VLCMediaLibrary.h>`

Inheritance diagram for VLCMediaLibrary:

## Class Methods

(VLCMediaLibrary *) | + sharedMediaLibrary

## Properties

VLCMediaList * | allMedia

## Detailed Description

media library stub

## Method Documentation

+ (VLCMediaLibrary*) sharedMediaLibrary |  |  |

library singleton

## Property Documentation

- (VLCMediaList*) allMedia

readnonatomicstrong

list of all media

The documentation for this class was generated from the following file:

- Headers/Public/VLCMediaLibrary.h